GuideLab API

Run Automation

POST
/automations/{id}/run

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/automations/string/run" \  -H "Content-Type: application/json" \  -d '{    "triggerKey": "string"  }'
{  "execution": {    "id": "string",    "automationId": "string",    "revisionId": "string",    "labId": "string",    "triggerKey": "string",    "triggerPayload": {      "property1": null,      "property2": null    },    "acceptedByUserId": "string",    "status": "string",    "attemptCount": 0,    "queuedAt": "string",    "startedAt": "string",    "heartbeatAt": "string",    "completedAt": "string",    "error": "string"  },  "duplicate": true}
Empty
Empty
Empty
Empty
Empty